Introduction

When you install the PowerChute Business Edition Server, two standalone wizards open at the end of the Setup procedure:

  • The Create UPS Configuration Profile Wizard, which opens first, allows you to define the initial configuration profile used by the PowerChute Business Edition Server.

    Note:
    The "Create UPS Configuration Profile" wizard is also installed as part of a PowerChute Business Edition Console installation. This allows the Console to access this wizard to create a configuration profile when you use the Console to log onto a PowerChute Business Edition Server that does not have a configuration profile already defined.

  • The Device List Configuration Wizard, which opens after you finish defining the initial configuration profile, allows you to identify the systems you want the PowerChute Business Edition Server to monitor.

Note:
This help sometimes uses PowerChute to represent PowerChute Business Edition, for example, PowerChute Server instead of PowerChute Business Edition Server.

Copyright © 2004 by
American Power Conversion Corp.
www.apc.com
All rights reserved
Last updated: April 08, 2005.


Create UPS Configuration Profile Wizard

When you install the PowerChute Business Edition Server on your system, the "Create UPS Configuration Profile" wizard opens at the end of the Setup procedure. You use this wizard to create the initial version of the PowerChute Server's configuration profile. This configuration profile defines the following:

  • The methods that the PowerChute Server will use to notify users when events occur.

  • The power-protection strategy that the PowerChute Agents will use.

After the initial profile is created, you can use a PowerChute Console to modify the configuration profile, or, if a PowerChute Console is unavailable, you can use the "Create UPS Configuration Profile" wizard: Select Start/ Programs/ APC PowerChute Business Edition/ Configuration Profile Wizard, or run the wizard.exe file in the PowerChute Business Edition/ Server folder.

For information about how to use the wizard to create the initial configuration profile, or to modify an existing profile, see The Configuration Profile; for information about the messages that can appear when you use this wizard, see Error and Status Messages.


The Configuration Profile

The "Create UPS Configuration Profile" wizard allows you to create or modify the configuration profile that a PowerChute Business Edition Server applies to systems it adds to its device list, as follows:

  1. Click Next > in the wizard's welcome display to begin the configuration process.

  2. Select one or more of the notification methods you want the PowerChute Server to use when events occur at a system in the device list, and click Next >.

    • Paging

    • E-Mail Notification

    • Broadcast Messages

  3. Define the settings needed by each notification method, and click Next >.

  4. Select the Power-Protection Strategy (Preserve battery power or Keep computer on as long as possible) that you want the systems in the PowerChute Server's device list to use, and click Next >.

    Note:
    If you change the power-protection setting, a message will warn you that the new configuration profile will be applied to existing systems in the PowerChute server device list. That is, changing the power-protection strategy will override any customized settings at those systems.

    This warning will not appear if you are creating an initial configuration profile or if no systems have been added to the device list at the PowerChute Server.

  5. Read the "System Shutdown" summary, and click Next >.

  6. A "Configuration Summary" dialog box lists the configuration profile settings you have selected. Click < Back to make any changes; click Next > to accept those settings.

  7. If the PowerChute Server does not have any systems in its device list, or you did not change the Power-Protection Strategy, exit the wizard when the "Changes Complete" dialog box appears. Otherwise, see step 8 below.

  8. If you have changed Power-Protection Strategy setting for an existing configuration profile, the modified profile will be applied to the systems in the PowerChute Server's device list (see the note in step 4). The "Configuration Profile Results" will report the status of the configuration-profile update for each system. When these results report that the updates have been completed, exit the wizard.

    Note:
    For information about messages and log entries that can appear while you are creating or modifying the configuration profile, see     Error and Status Messages.


Paging

If a pager can receive e-mail, that pager's e-mail address can be added to the list of addresses defined for E-Mail Notification.


E-Mail Notification

When you select the E-Mail Notification or Paging option in the "Configure Notification Method" dialog box, a "Configure E-Mail Parameters" dialog box appears. All three settings in this dialog box must be properly defined if you want the PowerChute Business Edition Server to use this notification method when events occur.

  • SMTP Mail Server Address identifies the fully resolved domain name or the IP address of the SMTP server (for example, mailserver.domain.com).

  • SMTP User Name identifies an e-mail account name at the SMTP server to be used to send (From address) e-mail notifications (for example, username@domain.com).

  • Destination E-Mail Address identifies the e-mail addresses of the recipients (To address) you want notified when events occur (for example, username@domain.com). You use the Add... and Change... buttons to create and modify a list of up to 5 addresses, including e-mail addresses for pagers.

You can use the Test button to test the sending of a mail. The field to the right of the button indicates whether it was successful or not.

Note:
To remove an address from the list, highlight that address in the drop-down list and click Remove.


Broadcast Messages

When you select the Broadcast Messages option in the "Configure Notification Method" dialog box, a "Configure Broadcast Messaging" dialog box will appear. You use this dialog box to identify which Windows NT/ 2000/ XP/ 2003 systems will receive broadcast messages when PowerChute Business Edition events occur.

  • If you select Entire Domain (the default), messages will be broadcast to all Windows NT/ 2000/ XP/ 2003 users on the system's domain.

  • If you select Specific Address, messages will be broadcast only to the Windows NT/ 2000/ XP/ 2003 system you identify by IP address or hostname.

You can use the Test button to test the sending of a mail. The field to the right of the button indicates whether it was successful or not.

Note: The Windows Messenger service has to be running for broadcasting to work (in Windows 2003, it is disabled by default). You can access Services in Windows through the Control Panel.


Power-Protection Strategy

This dialog box allows you to choose the basic strategy that a PowerChute Business Edition Agent will use when power fails:

  • Keep computer on as long as possible is designed for mission-critical servers where maximum uptime is of the utmost importance.

    • During a power failure, a shutdown will begin when the UPS has operated on battery power for as long as possible: that is, only the runtime needed to safely shut down the system remains.

    • When the UPS has shut down in response to a power failure, the UPS will reboot as soon as its battery has recharged to 15% of its capacity.

  • Preserve battery power is designed for systems where saving data and shutting down safely is more important than keeping the system running for as long as possible.

    • During a power failure, a shutdown will begin when the UPS has operated on battery power for one minute.

      Note:
      You can use the PowerChute Console to increase this time limit for each system in the device list, individually.

    • When the UPS has shut down in response to a power failure, the UPS will reboot only when its battery has recharged to 90% of full capacity.

The selected power-protection strategy will be applied to the PowerChute Agent at each system currently in the device list, and to each system added to the device list in the future.

Note:
The strategy you select may not be appropriate for every system. However, you can use a PowerChute Console to access the Power Failure option in a system's "Device Properties" dialog box to modify the power-protection settings used at that system.

Note:
A shutdown begins in response to events that could cause serious problems if not corrected immediately. See Shutdown Events (Preserve battery power) and Shutdown Events (Keep computer on as long as possible).


Shutdown Events (Keep computer on as long as possible)

The Keep computer on as long as possible option (Power-Protection Strategy) will cause a PowerChute Business Edition Agent to shut down the system when any of the following events occur (for more information about these events, see the Console's Online Help):

  • Low Battery

  • Low Runtime Remaining

  • Internal UPS Temperature Exceeded

  • UPS Communication Lost While On Battery

  • UPS Overloaded

    Note:
    If an Insufficient Runtime Remaining or Discharged Battery event exists when a UPS switches to battery operation, a shutdown will begin immediately.


Shutdown Events (Preserve battery power)

The Preserve battery power option (Power-Protection Strategy) will cause a PowerChute Business Edition Agent to shut down the system when any of the following events occur (for more information about these events, see the Console's Online Help):

  • Low Battery

  • Low Runtime Remaining

  • Internal UPS Temperature Exceeded

  • UPS Communication Lost While On Battery

  • Time On Battery Threshold Exceeded

  • UPS Overloaded

    Note:
    If an Insufficient Runtime Remaining or Discharged Battery event exists when a UPS switches to battery operation, a shutdown will begin immediately.


Error and Status Messages

For information about the messages that can appear when you are modifying the configuration profile, see Create UPS Configuration Profile Messages;

For information about the messages that can appear when a configuration profile is applied to the systems in the device list, see Configuration Profile Results Messages.

Note:
No descriptions of self-explanatory messages are provided.


Create UPS Configuration Profile Messages

The following messages can appear when you are using the wizard to create or modify a configuration profile.

Message | Description
The following error(s) were detected in your configuration profile. | Indicates that one or more of the following problems exists: Not all e-mail parameters are filled in. The specific broadcast address is unspecified. You must enable at least one notification method. Return to the appropriate notification page to correct the problem.
The new configuration has not been saved. Are you sure you want to exit? | Click No to return to the dialog box; if you click Yes, the changes you made will be discarded.
After modifying the Power-Protection setting, the new configuration profile must be re-applied to all devices in your device list. This may overwrite any custom settings you may have made to each UPS. Are you sure you want to continue? | If you click No, you can make changes to the profile's notification methods without reapplying the configuration profile to the systems in the device list; if you click Yes, the new profile will be applied to the systems in your device list, and you will need to redefine any custom settings at those systems after the profile is applied.


Configuration Profile Results Messages

When you change a setting, and the Server has systems in its device list, the new setting will be applied to those systems.

The following entries and messages can appear while this log is displayed.

Log Entry | Description
<hostname> did not respond. | Attempt to apply the configuration profile again. If the problem persists, see Failed-to-Respond Messages.
<hostname> is not in the device list. | The system is not in the device list; its configuration profile cannot be updated.
Failed to apply the configuration profile to <hostname>. | The system was shutting down or communication (either UPS or network) was lost when the attempt to apply the configuration profile occurred.
No suitable profile was found for <hostname> | The system may use an unsupported UPS, or the system's PowerChute Business Edition Agent has lost communication with the UPS.
Successfully applied the profile to <hostname> | Updated the profile for this system.

Message | Description
Error(s) occurred while applying the configuration profiles. | The application of the new profile to the systems in the device list has been completed, but not all systems could be updated with the new profile.
Not all of the changes are completed. If you exit now, you will not know if all of the configuration profiles were successfully reapplied. Are you sure you want to exit? | You are attempting to exit the dialog box before it finished making all the changes. If you click Yes, only the updates that have been successfully completed will take effect.


Device List Configuration Wizard

When you install the PowerChute Business Edition Server on your system, the "Device List Configuration" wizard opens after you finish creating the initial configuration profile. The device list identifies the systems that the PowerChute Server manages. The Configuration Profile will be applied to these systems.

You use the "Device List Configuration" wizard to create the initial version of the PowerChute Server's device list. After the initial device list is created, you can use a PowerChute Console to modify that list, or, if a PowerChute Console is unavailable, you can use the "Device List Configuration" wizard: Select Start/ Programs/ APC PowerChute Business Edition/ Device List Wizard, or run the upslist.exe file in the PowerChute Business Edition/ server folder.

For information about how to use the wizard to create the initial device list, or to modify an existing device list, see The Device List; for information about the messages that can appear when you use this wizard, see Error and Status Messages.


The Device List

When the "Device List Configuration" wizard opens, it provides the following information:

  • The message that appears just below the wizard title identifies how many systems the PowerChute Business Edition Server is licensed to monitor (5 or 25).

  • The Discovered Devices section identifies systems that you may be able to add to the device list, as those systems are automatically discovered.

    Note:
    For information about what systems will be discovered, and about how to configure the discovery process, see     Discovery Process.

  • The Current Device List section identifies the systems that are already in the device list.

    Note:
    For information about the messages that can appear while you are using this dialog box, see     Device List Configuration Wizard Messages.

The following table describes how to identify the systems you want to add or remove.

Task | Action
To add a discovered system. | Highlight the system in the Discovered Devices section and click Add -->. Note: For information about what systems will be discovered, and about how to configure the discovery process, see Discovery Process.
To use an IP address or host name to add a system. | Click New and change the title (New Device), which appears with a green checkmark in the Current Device List section, to the IP address or host name of the system you want to add.
To remove a system. | Highlight the system in the Discovered Devices section and click <-- Remove.

When you finish identifying the systems you want to add or remove, click Apply. The "Device List Configuration" dialog box will report the status of the defined changes.

Until all changes are completed, whether successfully or unsuccessfully, the Close and Change buttons are disabled. When the changes are finished, click Close, to exit the dialog box, or click Change, to make new changes to the device list.

Note:
For information about log entries and messages that can appear while the changes are being made to the device list, see Change Summary Messages.


Discovery Process

The PowerChute Business Edition Server automatically discovers systems which have a PowerChute Agent installed that uses the same user name and password as the PowerChute Server.

By default, only systems on the Server's local IP segment are discovered. The Basic version of PowerChute can only discover agents on the same network segment as the Server. However with the Deluxe version, you can use the Configure discovery link (below the Discovered Devices section) to access the "Configure Discovery" dialog box, and do the following:

  • Use IP segment to identify a new IP segment and click Add -->.

    (You can add up to 10 IP segements with the Deluxe version.)

  • Highlight a segment in the IP Segments to Discover section and click Remove, to have PowerChute Business Edition stop using that segment during discovery.

  • Click Apply to apply your changes.

  • Click Close to return to the "Device List Configuration" wizard.

    Note:
    For information about the messages that can appear while you are using the "Configure Discovery" dialog box, see     Discovery Process Messages.


Error and Status Messages

When you add systems to the device list, the PowerChute Business Edition Server's configuration profile is applied to those systems.

See Configuration Profile Access Failure Messages for information about messages that can appear if a configuration profile cannot be found when you attempt to open the "Device List Configuration" wizard to modify an existing device list.

See the following sections for descriptions of messages that can appear while you are using this wizard:

  • Device List Configuration Wizard Messages

  • Discovery Process Messages

  • Change Summary Messages

  • Failed-to-Respond Messages

    Note:
    No descriptions of self-explanatory messages are provided.


Configuration Profile Access Failure Messages

The following messages can appear when you attempt to access the "Device List Configuration" wizard to modify an existing device list, and a configuration profile cannot be found.

Message | Description
A default configuration profile has not been created. Before you can add any devices to the device list, a default profile must be created. Would you like to create one now? | A configuration profile does not exist. Click Yes to create that profile. You will not be able to access the "Device List Configuration" wizard until a profile exists.
Unable to get the current configuration profile: No response from the PowerChute Business Edition Server. Do you want to try again? | If the problem persists, see Failed-to-Respond Messages.


Device List Configuration Wizard Messages

The following messages can appear while you are using the "Device List Configuration" wizard.

Message | Description
The changes you made to the device list have not been applied. Are you sure you want to exit? | You clicked Cancel before you applied your changes to the device list. If you click Yes, your changes will be discarded.
The devices managed by this Server are unknown: No response from the PowerChute Business Edition Server. | Close and reopen the wizard. If the problem persists, see Failed-to-Respond Messages.
The PowerChute Business Edition Server is not responding. Please try again. | If the problem persists, see Failed-to-Respond Messages.


Discovery Process Messages

The following messages can appear while you are using the "Configure Discovery" dialog box to modify the list of IP segments searched during a Discovery Process.

Message | Description
Could not set the discovery state: No response from the PowerChute Business Edition Server. Do you want to try again? | If the problem persists, see Failed-to-Respond Messages.
Unable to determine the discovery segments: No response from the PowerChute Business Edition Server. Do you want to try again? | If the problem persists, see Failed-to-Respond Messages.
You cannot add more than 10 discovery segments. | The "Configure Discovery" dialog box already lists the maximum number of IP segments that PowerChute Business Edition can discover.


Change Summary Messages

The following log entries and messages can appear when this log is displayed.

Log Entry | Description
<hostname> did not respond. | Try to add this system again. If the problem persists, see Failed-to-Respond Messages.
<hostname> is already in the device list. | This system is already in the device list.
<hostname> is not in the device list. | This system has already been removed from the device list.
Added <hostname> | Added this system to the device list.
Could not add <hostname>: It is already managed by <servername>. | This system is in another PowerChute Server's device list. You cannot use multiple PowerChute Servers to monitor the same system.
Could not add <hostname>: The device limit has been reached. | The maximum number of systems allowed by the PowerChute Server's license have already been added to the device list.
Could not find <hostname>. | The PowerChute Server could not find this system. It may not exist, or it may not have a TCP/IP connection with the network, or it does not have a PowerChute Agent installed.
Could not log into <hostname>. | The PowerChute Agent at this system does not use the same user name and password as this PowerChute Server uses.
Failed to add <hostname>. | Try to add this system again. If the problem persists, see Failed-to-Respond Messages.
Failed to apply the configuration profile to <hostname>. | Typically indicates that the system uses an unsupported UPS. However, this entry may also be logged if the system was shutting down or communication (either UPS or network) was lost when the attempt to apply the configuration profile occurred.
Failed to remove <hostname>. | Could not access the configuration files to remove this system.
Removed <hostname> | Removed this system from the device list.
<hostname> is already in the list | You used multiple definitions that identify the same system: For example, you used the hostname and an IP address to identify the same system twice.

Message | Description
Some systems did not respond. The device list will be refreshed now. | Indicates that not all changes were successful, and that the device list will be refreshed to reflect the successful changes only.
The changes you made to the device list have not been completed. Are you sure you want to exit? | You are attempting to exit before all changes have been completed. If you click Yes, only the changes successfully completed will take effect.
The device list will be refreshed now. | Appears when you chose to exit the dialog box before all of the changes have been made. Indicates that the device list will be refreshed to reflect the changes that were made before you exited.


Failed-to-Respond Messages

This problem can be caused by any of the following:

  • Network congestion or a network problem prevented the communications from being completed before the Time Out setting in the PowerChute Console's "Preferences" dialog box expired (20 seconds, by default).

    Note:
    You can use a PowerChute Console to access and change the Time Out setting.

  • Network communication was lost before a response could be received.

  • The system does not exist, is turned off, or is disconnected from the network.

  • The system does not use a PowerChute Agent, the agent is not running, or the PowerChute Agent uses a password or user name that differs from the password or user name used by the PowerChute Server.

For assistance in solving this problem, contact APC Global Support through the APC web site: http://www.apc.com.